Export Balance Breakdown
curl --request POST \
--url https://api.hit-pay.com/v1/balances/{balance_provider}/transactions/export \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/balances/{balance_provider}/transactions/export"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/balances/{balance_provider}/transactions/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "The created at from does not match the format Y-m-d. (and 1 more error)",
"errors": {
"created_at_from": [
"The created at from does not match the format Y-m-d."
],
"created_at_to": [
"The created at to must be a date after or equal to created at from."
]
}
}Balance
Export Balance Transactions
Export balance transaction history to CSV via email
POST
/
v1
/
balances
/
{balance_provider}
/
transactions
/
export
Export Balance Breakdown
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
The balance provider. It only supports Adyen now.
Example:
"adyen"
Query Parameters
The start day of Adyen transaction in range.
Example:
"2025-05-21"
The end day of Adyen transaction in range. Note: created_at_to >= created_at_from
Example:
"2025-05-21"
Response
200
Last modified on February 25, 2026
Was this page helpful?
⌘I